<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fmp="http://www.filemaker.com/fmpxmlresult">
<xsl:output method="text" encoding="UTF-8" />
<xsl:template match="fmp:FMPXMLRESULT">

	<xsl:variable name="Beleg">
		<xsl:call-template name="getFieldname">
			<xsl:with-param name="expected_fieldname" select="'s_ID_Beleg_Mandant'" />
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="Datum">
		<xsl:call-template name="getFieldname">
			<xsl:with-param name="expected_fieldname" select="'f_EINN_Datum'" />
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="Initialwort">
		<xsl:call-template name="getFieldname">
			<xsl:with-param name="expected_fieldname" select="'f_EINN_Initialwort'" />
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="Quelle">
		<xsl:call-template name="getFieldname">
			<xsl:with-param name="expected_fieldname" select="'f_EINN_Quelle'" />
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="Betrag">
		<xsl:call-template name="getFieldname">
			<xsl:with-param name="expected_fieldname" select="'f_EINN_Betrag'" />
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="USt">
		<xsl:call-template name="getFieldname">
			<xsl:with-param name="expected_fieldname" select="'f_EINN_USt_Satz'" />
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="b_n">
		<xsl:call-template name="getFieldname">
			<xsl:with-param name="expected_fieldname" select="'f_EINN_Brutto_Netto'" />
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="Kategorie">
		<xsl:call-template name="getFieldname">
			<xsl:with-param name="expected_fieldname" select="'f_EINN_Kategorie'" />
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="Zahlungsart">
		<xsl:call-template name="getFieldname">
			<xsl:with-param name="expected_fieldname" select="'f_EINN_Konto'" />
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="Einkunftsart">
		<xsl:call-template name="getFieldname">
			<xsl:with-param name="expected_fieldname" select="'f_EINN_Einkunftsart'" />
		</xsl:call-template>
	</xsl:variable>

<xsl:for-each select="fmp:RESULTSET/fmp:ROW">
	<xsl:value-of select="fmp:COL[number($Beleg)]/fmp:DATA"/><xsl:text>	</xsl:text>
	<xsl:value-of select="fmp:COL[number($Datum)]/fmp:DATA"/><xsl:text>	</xsl:text>
	<xsl:value-of select="fmp:COL[number($Initialwort)]/fmp:DATA"/><xsl:text>	</xsl:text>
	<xsl:value-of select="fmp:COL[number($Quelle)]/fmp:DATA"/><xsl:text>	</xsl:text>
	<xsl:value-of select="fmp:COL[number($Betrag)]/fmp:DATA"/><xsl:text>	</xsl:text>
	<xsl:value-of select="fmp:COL[number($USt)]/fmp:DATA"/><xsl:text>	</xsl:text>
	<xsl:value-of select="fmp:COL[number($b_n)]/fmp:DATA"/><xsl:text>	</xsl:text>
	<xsl:value-of select="fmp:COL[number($Kategorie)]/fmp:DATA"/><xsl:text>	</xsl:text>
	<xsl:value-of select="fmp:COL[number($Zahlungsart)]/fmp:DATA"/><xsl:text>	</xsl:text>
	<xsl:value-of select="fmp:COL[number($Einkunftsart)]/fmp:DATA"/><xsl:text>	</xsl:text>
</xsl:for-each>		
</xsl:template>

	<xsl:template name="getFieldname">
		<xsl:param name="expected_fieldname" />
		<xsl:if test="not (count ( /fmp:FMPXMLRESULT/fmp:METADATA/fmp:FIELD[@NAME = $expected_fieldname] ) = 0)">
			<xsl:value-of select="count(/fmp:FMPXMLRESULT/fmp:METADATA/fmp:FIELD[@NAME = $expected_fieldname]/preceding-sibling::*) + 1" />
		</xsl:if>
		<xsl:if test="count ( /fmp:FMPXMLRESULT/fmp:METADATA/fmp:FIELD[@NAME = $expected_fieldname] ) = 0">
			<xsl:value-of select="0" />		
		</xsl:if>
	</xsl:template>
	
</xsl:stylesheet>